Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.data
Class SessionTag

    java.lang.Object
      net.i2p.data.ByteArray
          net.i2p.data.SessionTag

All Implemented Interfaces:
  Serializable, Comparable

    public class SessionTag

extends ByteArray

See Also:
  Serialized Form

Field Summary
`static int` | `BYTE_LENGTH`

Constructor Summary
`SessionTag()`
`SessionTag(boolean create)`
`SessionTag(byte[] val)`

Method Summary
`void` | `readBytes(InputStream in)`
`void` | `setData(byte[] val)`
`String` | `toString()`
`void` | `writeBytes(OutputStream out)`

Methods inherited from class net.i2p.data.ByteArray
`compareTo, equals, getData, getOffset, getValid, hashCode, setOffset, setValid, toBase64`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BYTE_LENGTH

    public static final int BYTE_LENGTH

See Also:
  Constant Field Values

Constructor Detail

### SessionTag

    public SessionTag()

### SessionTag

    public SessionTag(boolean create)

### SessionTag

    public SessionTag(byte[] val)

Method Detail

### setData

    public void setData(byte[] val)
                 throws IllegalArgumentException

  Overrides:
    `setData` in class `ByteArray`
  Throws:
    `IllegalArgumentException`

### readBytes

    public void readBytes(InputStream in)
                   throws DataFormatException,
                          IOException

  Throws:
    `DataFormatException`
    `IOException`

### writeBytes

    public void writeBytes(OutputStream out)
                    throws DataFormatException,
                           IOException

  Throws:
    `DataFormatException`
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `ByteArray`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD